org.apache.hadoop.yarn.server.federation.store.records

## Class UpdateApplicationHomeSubClusterRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.UpdateApplicationHomeSubClusterRequest

- Direct Known Subclasses:
    UpdateApplicationHomeSubClusterRequestPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class UpdateApplicationHomeSubClusterRequest
      extends Object

  The request sent by the `Router` to `Federation state store` to update the home subcluster of a newly submitted application.

  The request includes the mapping details, i.e.:

  - `ApplicationId`
  - `SubClusterId`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationHomeSubClusterRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ApplicationHomeSubCluster` | `getApplicationHomeSubCluster()` Get the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
    `static UpdateApplicationHomeSubClusterRequest` | `newInstance(ApplicationHomeSubCluster applicationHomeSubCluster)`
    `abstract void` | `setApplicationHomeSubCluster(ApplicationHomeSubCluster applicationHomeSubCluster)` Set the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationHomeSubClusterRequest

          public UpdateApplicationHomeSubClusterRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static UpdateApplicationHomeSubClusterRequest newInstance(ApplicationHomeSubCluster applicationHomeSubCluster)

    - #### getApplicationHomeSubCluster

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ApplicationHomeSubCluster getApplicationHomeSubCluster()

      Get the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
      Returns:
        the mapping of the application to it's home sub-cluster.

    - #### setApplicationHomeSubCluster

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setApplicationHomeSubCluster(ApplicationHomeSubCluster applicationHomeSubCluster)

      Set the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
      Parameters:
        `applicationHomeSubCluster` - the mapping of the application to it's home sub-cluster.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.